List a schedule’s runs
curl --request GET \
--url https://guidinghand.ai/v1/agents/{agent_id}/schedules/{schedule_id}/runs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/agents/{agent_id}/schedules/{schedule_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/agents/{agent_id}/schedules/{schedule_id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "schedule_run",
"id": "srun_3f9a0c1b2d4e5f6a7b",
"schedule_id": "<string>",
"trigger": "schedule",
"status": "running",
"due_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"conversation_id": "<string>",
"result": "<string>",
"error": "<string>",
"escalations": 123,
"cost_cents": 123
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}Schedules
List a schedule’s runs
Newest first, paged.
GET
/
v1
/
agents
/
{agent_id}
/
schedules
/
{schedule_id}
/
runs
List a schedule’s runs
curl --request GET \
--url https://guidinghand.ai/v1/agents/{agent_id}/schedules/{schedule_id}/runs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/agents/{agent_id}/schedules/{schedule_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/agents/{agent_id}/schedules/{schedule_id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "schedule_run",
"id": "srun_3f9a0c1b2d4e5f6a7b",
"schedule_id": "<string>",
"trigger": "schedule",
"status": "running",
"due_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"conversation_id": "<string>",
"result": "<string>",
"error": "<string>",
"escalations": 123,
"cost_cents": 123
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}Authorizations
An org API key (gh_live_…) from Settings → API keys in the console.